/* You can add global styles to this file, and also import other style files */
@import "variables.scss";

* {
  all: unset;
  color: white;
  font-family: "Poppins";
  // Global variables
  // Colors
  --primary: hsl(211, 78%, 55%);
  --primaryHighlight: hsl(211, 78%, 40%);
  --background1: #22202e;
  --background2: #2e2a3c;
  --background3: #373247;
  --background4: rgb(57, 52, 74);
  --background5: rgb(62, 56, 82);
  // Spacing
  --spacingXSmall: 2px;
  --spacingSmall: 5px;
  --spacingMedium: 10px;
  --spacingLarge: 20px;
  --spacingXLarge: 40px;
  // Font
  // Size
  --h1Size: 40px;
  --h2Size: 28px;
  --h3Size: 23px;
  --h4Size: 19px;
  --h5Size: 16px;
  --h6Size: 13px;
  --pSize: 17px;
  // Weight
  --h1Weight: 700;
  --h2Weight: 600;
  --h3Weight: 500;
  --h4Weight: 500;
  --h5Weight: 400;
  --h6Weight: 300;
  --pWeight: 300;
  // General
  --defaultAnimationTime: 0.2s;
  --backgroundAnimationTime: 1s;
  --borderRadius: 6px;
  --viewPortSideOffset: 3%;
  --navbarHeight: 55px;
}

head {
  display: none;
}

script {
  display: none;
}

body {
  background: var(--background1);
  overflow-x: hidden;
}

// Icons

.material-symbols-outlined {
  font-variation-settings:
    "FILL" 0,
    "wght" 400,
    "GRAD" 0,
    "opsz" 24;
  font-size: unset;
  font-weight: unset;
}

// Using styles instead of tags allows us to use semantic HTML for SEO and accessibility optimization

.h1 {
  font-size: var(--h1Size);
  font-weight: var(--h1Weight);
}

.h2 {
  font-size: var(--h2Size);
  font-weight: var(--h2Weight);
}

.h3 {
  font-size: var(--h3Size);
  font-weight: var(--h3Weight);
}

.h4 {
  font-size: var(--h4Size);
  font-weight: var(--h4Weight);
}

.h5 {
  font-size: var(--h5Size);
  font-weight: var(--h5Weight);
}

.h6 {
  font-size: var(--h6Size);
  font-weight: var(--h6Weight);
}

.p {
  font-size: var(--pSize);
  font-weight: var(--pWeight);
}

// layout

.row {
  display: flex;
  flex-direction: row;
}

.column {
  display: flex;
  flex-direction: column;
}

.rowCollapsible {
  display: flex;
  flex-direction: row;
}

@media (max-width: $mobileWidth) {
  .rowCollapsible {
    flex-direction: column;
  }
}

.columnCollapsible {
  display: flex;
  flex-direction: column;
}

@media (max-width: $mobileWidth) {
  .columnCollapsible {
    flex-direction: row;
  }
}

.centerRow {
  justify-content: center;
}

.centerColumn {
  align-items: center;
}

.flexWrap {
  flex-wrap: wrap;
}

.main {
  min-height: 100vh;
  width: 100%;
  display: block;
}

.section {
  width: calc(100% - (2 * var(--viewPortSideOffset)));
  padding: var(--spacingXLarge) var(--viewPortSideOffset);
}

.textCenter {
  text-align: center;
}

// Colors

.bgPrimary {
  background: var(--primary);
}

.bg1 {
  background: var(--background1);
}

.bg2 {
  background: var(--background2);
}

.bg3 {
  background: var(--background3);
}

// spacing

.gapXSmall {
  gap: var(--spacingXSmall);
}

.gapSmall {
  gap: var(--spacingSmall);
}

.gapMedium {
  gap: var(--spacingMedium);
}

.gapLarge {
  gap: var(--spacingLarge);
}

.gapXLarge {
  gap: var(--spacingXLarge);
}

// Buttons

.buttonBgPrimary,
.buttonBg1,
.buttonBg2,
.buttonTransparent {
  cursor: pointer;
  transition: all var(--defaultAnimationTime);
  padding: var(--spacingSmall) var(--spacingLarge);
  border-radius: var(--borderRadius);
  font-size: var(--h4Size);
  font-weight: var(--h4Weight);
  gap: var(--spacingSmall);
  align-items: center;
  display: flex;
}

.buttonBgPrimary {
  background-color: var(--primary);
}

.buttonBgPrimary:hover {
  background-color: var(--primaryHighlight);
}

.buttonBg1 {
  background-color: var(--background1);
}

.buttonBg1:hover {
  background-color: var(--background2);
}

.buttonBg2 {
  background-color: var(--background2);
}

.buttonBg2:hover {
  background-color: var(--background3);
}

.buttonTransparent {
  background-color: transparent;
}

.buttonTransparent:hover {
  opacity: 0.65;
}

.buttonTransparentNoHover {
  background-color: transparent;
}

// Animations

@keyframes fadeToLeft {
  0% {
    transform: translateX(10%);
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fadeFromLeft {
  0% {
    transform: translateX(-10%);
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

// General

.defaultTransitionAll {
  transition: all var(--defaultAnimationTime);
}

.link {
  color: var(--primary);
  cursor: pointer;
}

.link:hover {
  text-decoration: underline;
}

.hidden {
  display: none;
}